#pragma once

#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <map>

#include "../vsgl3/glHelper.h"


#include "Game.h"


class Maze2D
{
public:

  Maze2D(int a_sizeX, int a_sizeY);
  virtual ~Maze2D();

  std::vector<IGraphicsObject*> getDrawList();

  IGameObject* getPlayer() { return m_pPlayer;  }

protected:

  std::vector<IGameObject*> m_objects;
  IGameObject* m_pPlayer;

  IGraphicsObject* m_pMazePlaneGraphics;

  int m_sizeX;
  int m_sizeY;

  float  m_cellSize;
  float3 m_zeroPos;
};


